# ALHP Mirrorlist
[![AUR version](https://img.shields.io/aur/version/alhp-mirrorlist)](https://aur.archlinux.org/packages/alhp-mirrorlist/)

Mirrors for [ALHP](https://somegit.dev/ALHP/ALHP.GO).

## Issues with current mirrors
If some mirror is out of sync or not reachable anymore, please [open an issue](https://somegit.dev/ALHP/alhp-mirrorlist/issues/new).

## Setup your own Mirror

### rsync

**source**: `rsync://alhp.dev/alhp`\
**lastupdate**: `https://alhp.dev/lastupdate`\
**expected size**: around 30GB per `march` (e.g. *x86-64-v3*) you want to sync.

I highly recommend using [this script from Archlinux](https://gitlab.archlinux.org/archlinux/infrastructure/-/blob/master/roles/syncrepo/files/syncrepo-template.sh) as base for a sync service. It checks if a sync needs to be done (by comparing *lastupdate* before syncing). It's also worth to read comments.

You are free to mirror only some march or exclude `/logs`, [see line 90](https://gitlab.archlinux.org/archlinux/infrastructure/-/blob/a4a8a640d821acdb95e72770ea0632beffb28df9/roles/syncrepo/files/syncrepo-template.sh#L90) of said script above.

If you have set up a new mirror, open a PR here in this repo adding your mirror to `mirrorlist` under the appropriate region (continent is detailed enough for our current mirror density).
